{
  "name": "IM",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev:test": "vite --mode test --port 5273",
    "dev:prod": "vite --mode prod --port 5273",
    "build:test": "vite build --mode test",
    "build:prod": "vite build --mode test",
    "preview": "vite preview",
    "type-check": "vue-tsc --noEmit -p tsconfig.app.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@ant-design/icons-vue": "^7.0.1",
    "@highlightjs/vue-plugin": "^2.1.0",
    "@iconify-json/ion": "^1.2.3",
    "@kangc/v-md-editor": "^2.3.18",
    "@onlyoffice/document-editor-vue": "^1.5.0",
    "@tiptap/core": "^2.23.1",
    "@tiptap/extension-blockquote": "^2.23.1",
    "@tiptap/extension-emoji": "^2.23.1",
    "@tiptap/extension-image": "^2.23.1",
    "@tiptap/extension-link": "^2.23.1",
    "@tiptap/extension-mention": "^2.23.1",
    "@tiptap/extension-placeholder": "^2.23.1",
    "@tiptap/pm": "^2.23.1",
    "@tiptap/starter-kit": "^2.23.1",
    "@tiptap/vue-3": "^2.23.1",
    "@vicons/fluent": "^0.13.0",
    "@vicons/ionicons4": "^0.13.0",
    "@vicons/ionicons5": "^0.13.0",
    "@vueup/vue-quill": "^1.2.0",
    "@vueuse/core": "^10.7.0",
    "@vueuse/rxjs": "^13.4.0",
    "ant-design-vue": "^4.2.6",
    "axios": "^1.6.2",
    "dayjs": "^1.11.13",
    "dexie": "^4.0.11",
    "highlight.js": "^11.5.0",
    "js-audio-recorder": "^1.0.7",
    "lodash-es": "^4.17.21",
    "pinia": "^2.1.7",
    "pinia-plugin-persistedstate": "^3.2.0",
    "pnpm": "^10.10.0",
    "quill": "^1.3.7",
    "quill-image-uploader": "^1.3.0",
    "quill-mention": "^4.1.0",
    "rxjs": "^7.8.2",
    "sortablejs": "^1.15.6",
    "viewerjs": "^1.11.7",
    "vue": "^3.3.11",
    "vue-cropper": "^1.1.1",
    "vue-router": "^4.2.5",
    "vue-virtual-scroller": "^2.0.0-beta.8",
    "vuedraggable": "^4.1.0",
    "xgplayer": "^3.0.4"
  },
  "devDependencies": {
    "@icon-park/vue-next": "^1.4.2",
    "@tsconfig/node18": "^18.2.2",
    "@types/node": "^18.18.5",
    "@types/vue": "^2.0.0",
    "@unocss/reset": "^66.1.1",
    "@vitejs/plugin-vue": "^4.4.0",
    "@vitejs/plugin-vue-jsx": "^3.0.2",
    "@vue/tsconfig": "^0.4.0",
    "concurrently": "^7.3.0",
    "cross-env": "^7.0.3",
    "less": "^4.2.0",
    "less-loader": "^11.1.3",
    "naive-ui": "^2.35.0",
    "npm-run-all2": "^6.1.1",
    "prettier": "^3.1.0",
    "sass": "^1.88.0",
    "typescript": "~5.2.0",
    "unocss": "0.58.0",
    "unplugin-auto-import": "^19.2.0",
    "unplugin-vue-components": "^28.5.0",
    "vite": "^6.3.5",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-vue-devtools": "^7.7.6",
    "vue-tsc": "^1.8.25",
    "wait-on": "^6.0.1"
  },
  "build": {
    "appId": "com.gzydong.im",
    "productName": "IM",
    "copyright": "Copyright © 2023 IM",
    "mac": {
      "category": "public.app-category.utilities",
      "icon": "build/icons/-im-mac.png"
    },
    "win": {
      "icon": "build/icons/-im-mac.png",
      "target": [
        {
          "target": "nsis"
        }
      ]
    },
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true,
      "installerIcon": "build/icons/-im-win.ico",
      "uninstallerIcon": "build/icons/-im-win.ico",
      "installerHeaderIcon": "build/icons/-im-win.ico",
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true,
      "shortcutName": "lumeim-icon"
    }
  }
}
